package de.tobias.playpad.server.sql.saver

import java.sql.Connection

import de.tobias.playpad.server.model.project.Pad
import de.tobias.playpad.server.server.SqlHelper
import de.tobias.playpad.server.sql.SqlDef._

/**
 * Created by tobias on 17.02.17.
 */
class PadSaver(val connection: Connection) {
	def save(pad: Pad): Unit = {
		SqlHelper.insertOrUpdate(connection, PAD, pad.id, PAD_NAME, pad.name)
		SqlHelper.insertOrUpdate(connection, PAD, pad.id, PAD_POSITION, pad.position)
		SqlHelper.insertOrUpdate(connection, PAD, pad.id, PAD_CONTENT_TYPE, pad.contentType)
		SqlHelper.insertOrUpdate(connection, PAD, pad.id, PAD_PAGE_REF, pad.page.id)

		val pathSaver = new PathSaver(connection)
		pad.paths.foreach(pathSaver.save)

		//		if (pad.design != null) {
		//			val designSaver = new DesignSaver(connection)
		//			designSaver.save(pad.design)
		//		} TODO
	}
}
