package de.tobias.playpad.server.sql.saver

import java.sql.Connection

import de.tobias.playpad.server.model.project.Page
import de.tobias.playpad.server.server.SqlHelper
import de.tobias.playpad.server.sql.SqlDef._

/**
 * Created by tobias on 17.02.17.
 */
class PageSaver(connection: Connection) {
	def save(page: Page): Unit = {
		SqlHelper.insertOrUpdate(connection, PAGE, page.id, PAGE_NAME, page.name)
		SqlHelper.insertOrUpdate(connection, PAGE, page.id, PAGE_POSITION, page.position)
		SqlHelper.insertOrUpdate(connection, PAGE, page.id, PAGE_PROJECT_REF, page.project.id)

		val padSaver = new PadSaver(connection)
		page.pads.foreach(padSaver.save)
	}
}
