package de.tobias.playpad.server.utils.sql

import java.sql.Connection

class SqlBackgroundRunner(connection: Connection) extends Runnable {

	private val SLEEP = 5 * 60 * 1000

	override def run(): Unit = {
		while (!Thread.interrupted()) {
			val statement = connection.prepareStatement("SHOW TABLES;")
			val resultSet = statement.executeQuery()

			resultSet.close()
			statement.close()

			try {
				Thread.sleep(SLEEP)
			} catch {
				case _: InterruptedException => return
			}
		}
	}
}
